import { Persistence } from '../../Persistence';
import { Transaction } from './Transaction';
export declare class TransactionManager<D> {
    private readonly storage;
    constructor(storage: Persistence);
    readonly startTransaction: (data: D) => Transaction<D>;
    readonly getStoredTransaction: (state: string) => Transaction<D>;
}
