import { OAuthConfig } from '../OAuthConfig';
import { Persistence } from './Persistence';
export declare class CookiePersistence implements Persistence {
    private readonly config;
    constructor(config: OAuthConfig);
    readonly remove: <T extends object>(key: string) => T;
    readonly retrieve: <T extends object>(key: string) => T;
    readonly store: <T extends object>(key: string, value: T, expires?: number) => T;
    private readonly storageKeyFor;
}
