import { Api } from '../../Api';
import { Persistence } from '../../Persistence';
import { AuthenticationFlow } from './AuthenticationFlow';
declare type FlowType = 'IMPLICIT' | 'CODE_WITH_PKCE';
declare const parseFlow: (flow: FlowType, api: Api, persistence: Persistence) => AuthenticationFlow;
export { FlowType, parseFlow };
